Bug 1517717 - JBoss ON storage nodes fail to form the cluster due to rpc_address set to the hostname instead to the IP address as configured in the rhq-server.properties file
Summary: JBoss ON storage nodes fail to form the cluster due to rpc_address set to the...
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer
Version: JON 3.3.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR02
: JON 3.3.11
Assignee: Josejulio Martínez
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1517719
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 10:07 UTC by bkramer
Modified: 2018-10-16 17:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-16 17:06:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2930 None None None 2018-10-16 17:07 UTC
Red Hat Knowledge Base (Solution) 3250141 None None None 2017-11-27 10:08 UTC

Description bkramer 2017-11-27 10:07:53 UTC
Description of problem:
In some cases, the host name definition resolves to the local machine's loopback interface - 127.0.0.1. Because of that, an IP address was used as a server's bind address in the rhq-server.properties file. However, JBoss ON storage node, installed this way, fails to form the cluster due to rpc_address set to the hostname (which is resolved as 127.0.0.1) instead to the IP address as configured in the rhq-server.properties file

Version-Release number of selected component (if applicable):
JBoss ON 3.3.8, 3.3.9

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.

Actual results:
JBoss ON storage node fails to form the cluster with another storage nodes;

Expected results:
JBoss ON storage node is installed using IP address specified in the rhq-server.properties file. 

Additional info:

As a workaround, navigate to $JON_SERVER_HOME/rhq-storage/conf/cassandra.yaml file and change the value of the rpc_address to the IP address that is defined in the rhq-server.properties file.

Comment 7 Josejulio Martínez 2018-09-06 17:14:01 UTC
commit 51102b5e02a0e31dcc3657f978ca9b5601a2e770 (origin/bugs/1517717, bugs/1517717)
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Mon Aug 20 23:51:35 2018 -0500

    Bug-1517717 Allow to specify rpc_address and listen_address in rhq-storage.properties

Comment 17 Josejulio Martínez 2018-09-28 14:38:25 UTC
commit 7d95033e5ffe6a6b108a6ed063168ee22717c590 (HEAD -> master, upstream/master)
Author:     Josejulio Martínez <finwemartinez@gmail.com>
AuthorDate: Fri Sep 28 04:47:43 2018 -0500
Commit:     Michael Burman <yak@iki.fi>
CommitDate: Fri Sep 28 12:47:43 2018 +0300

    Bug-1517717 Warn that the new properties are for install time only (#353)

Comment 19 Josejulio Martínez 2018-10-01 15:27:43 UTC
Sorry, updated the wrong file, this should do the job.


commit 0bb69d2ce54fe35349dc67330355c0a8fce8b0d2 (origin/bugs/1517717-update-config-file, bugs/1517717-update-config-file)
Author:     Josejulio Martínez <jmartine@redhat.com>
AuthorDate: Mon Oct 1 09:58:02 2018 -0500
Commit:     Josejulio Martínez <jmartine@redhat.com>
CommitDate: Mon Oct 1 09:58:02 2018 -0500

    Bug 1517717 - Generate rhq-storage.properties with new properties

Comment 23 Josejulio Martínez 2018-10-04 15:43:28 UTC
commit 9b23b8cb9c81d1e0fd0480258f056b2072edd755 (origin/fixing-comments-rhqstorage, fixing-comments-rhqstorage)
Author:     Josejulio Martínez <jmartine@redhat.com>
AuthorDate: Thu Oct 4 09:33:12 2018 -0500
Commit:     Josejulio Martínez <jmartine@redhat.com>
CommitDate: Thu Oct 4 09:33:12 2018 -0500

    Bug 1517717 - Adding rhq.storage.rpc-address to "install only" comment block

Comment 29 errata-xmlrpc 2018-10-16 17:06:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2930


Note You need to log in before you can comment on or make changes to this bug.